Subject: Re: [PATCH 2/2] powerpc/pseries: Check if EEH is enabled on DDW mechanism code

From: "Guilherme G. Piccoli" <[email-masked]>
Date: Wed, 6 Apr 2016 21:23:24 -0300

On 02/04/2016 03:30 AM, Gavin Shan wrote:
> On Wed, Feb 03, 2016 at 10:26:36AM -0200, Guilherme G. Piccoli wrote:
>> On 02/02/2016 09:48 PM, Gavin Shan wrote:
>>
>> Gavin, thanks very much for the clarification. So, we can interchange
>> edev->config_addr with pdn->pci_ext_config_space ?
>> This would solve the issue with DDW being enabled when EEH is not.
>>
>> I hit the issue on PowerVM (PHyp). I wasn't able to perform hotplug in qemu
>> that time I was testing this - I can re-test on qemu. Can we use pci_dn
>> config address in qemu guest too?
>>
>
> On PowerKVM, QEMU can't recognize (1). pHyp is expected to support both
> of them. Please have a try with (1) when eeh_enabled() returns false.
> The address (1) can be retrieved from pci_dn as below:
>
> 	(pdn->busno << 8) | (pdn->devfn)
>
> Thanks,
> Gavin
>

Gavin, thanks very much for your advice. And sorry for my huge delay in 
replying this...

I tested the pci_dn's busno/devfn solution in both PHyp and qemu and it 
worked fine - DDW was enabled with success.

I just sent v2 patches to the list - your review is much appreciated.

Thanks,

Guilherme